Google подняла целевой уровень API для Android-приложений

22 февраля 2019, 11:11
Google подняла целевой уровень API для Android-приложений

С ноября 2018 года все новые приложения, подаваемые в Google Play, должны поддерживать Android 8 Oreo и выше. К осени 2019-го разработчики будут должны ориентироваться на Android 9 Pie, сообщает Android Police.

Начиная с августа 2019 года — когда ожидается релиз Android Q — все новые приложения должны быть ориентированы на Android 9 Pie (API 28) или выше. Другими словами, приложения могут поддерживать любую более старую версию системы, но при этом должны учитывать преимущества Android Pie. Для новых версий уже существующих приложений требования начнут действовать в ноябре 2019 года (это не касается приложений, которые не обновляются).

Также Google Play Protect начнёт уведомлять пользователей при попытке установить устаревшие продукты за пределами магазина. С августа пользователи будут получать предупреждения при загрузке новых приложений, не предназначенных для Android 8.0 Oreo (API 26) или новее, а с ноября — при загрузке существующих приложений, не ориентированных на эти API.

Ранее Google сообщала, что требования к уровню целевых API приложений будут подниматься ежегодно. Например, следующее поднятие планки до Android Q можно ожидать в августе 2020-го, отмечает Android Police.

подписка на главные новости 
недели != спам
# ит-новости
# анонсы событий
# вакансии
Обсуждение